summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:44:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:44:46 +0200
commit1d586a43c3f9b75c18b5264985ac5ca4c23a77c9 (patch)
treee0f34afdc68df1aaed9a675b55a461323f075a0e /graphics
parentd6112b2c74d573722d89a0d21b245234b158f7f0 (diff)
downloadslackbuilds-1d586a43c3f9b75c18b5264985ac5ca4c23a77c9.tar.gz
slackbuilds-1d586a43c3f9b75c18b5264985ac5ca4c23a77c9.tar.xz
graphics/digikam: Updated for version 0.9.3
Diffstat (limited to 'graphics')
-rw-r--r--graphics/digikam/README15
-rw-r--r--graphics/digikam/digikam.SlackBuild55
-rw-r--r--graphics/digikam/digikam.info10
-rw-r--r--graphics/digikam/doinst.sh5
-rw-r--r--graphics/digikam/slack-desc16
5 files changed, 59 insertions, 42 deletions
diff --git a/graphics/digikam/README b/graphics/digikam/README
index 2c176761ca..b517aa183c 100644
--- a/graphics/digikam/README
+++ b/graphics/digikam/README
@@ -1,10 +1,11 @@
-digiKam is a simple digital photo management application for KDE, which makes
-importing and organizing digital photos a "snap". The photos can be organized
-in albums which can be sorted chronologically, by directory layout or by custom
-collections. An easy to use interface is provided that enables you to connect
-to your camera and preview, download and/or delete your images.
+digiKam is a simple digital photo management application for KDE,
+which makes importing and organizing digital photos a "snap". The
+photos can be organized in albums which can be sorted chronologically,
+by directory layout or by custom collections. An easy to use interface
+is provided that enables you to connect to your camera and preview,
+download and/or delete your images.
The following programs are required to build digiKam:
-(also available at SlackBuilds.org)
- exiv2, jasper, libgphoto2, libkexiv2, libkipi, sqlite3
+(also available at http://www.slackbuilds.org/)
+exiv2, jasper, libgphoto2, libkdcraw, libkexiv2, libkipi, sqlite
diff --git a/graphics/digikam/digikam.SlackBuild b/graphics/digikam/digikam.SlackBuild
index 7dc54264a4..26b8314109 100644
--- a/graphics/digikam/digikam.SlackBuild
+++ b/graphics/digikam/digikam.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for digiKam
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,24 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
PRGNAM=digikam
-VERSION=0.9.1
+VERSION=0.9.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS ChangeLog COPYING HACKING INSTALL NEWS README RELEASE.rev TODO"
+DOCS="AUTHORS ChangeLog COPYING HACKING INSTALL NEWS README RELEASE.rev TODO"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -47,39 +41,54 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/opt/kde \
+ --prefix=$KDEPREF \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/opt/kde/man \
- || exit 1
+ --mandir=$KDEPREF/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug \
+ --enable-shared=yes \
+ --enable-static=no
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
-( cd $PKG/opt/kde/man
+( cd $PKG/$KDEPREF/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-# Remove empty doc directory structure:
-rm -rf $PKG/opt/kde/share/doc
+( cd $PKG
+find . -type d -depth -exec rmdir {} \; 2>/dev/null
+find . -type f -size 0c -exec rm {} \; 2>/dev/null
+)
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/graphics/digikam/digikam.info b/graphics/digikam/digikam.info
index 8b4f278d75..4122170be5 100644
--- a/graphics/digikam/digikam.info
+++ b/graphics/digikam/digikam.info
@@ -1,8 +1,8 @@
PRGNAM="digikam"
-VERSION="0.9.1"
+VERSION="0.9.3"
HOMEPAGE="http://www.digikam.org/"
-DOWNLOAD="http://downloads.sourceforge.net/digikam/digikam-0.9.1.tar.bz2"
-MD5SUM="41e673dac4d0bb6203a6ec615d44b893"
-MAINTAINER="MagicMan"
-EMAIL="MagicMan07@bluebottle.com"
+DOWNLOAD="http://downloads.sourceforge.net/digikam/digikam-0.9.3.tar.bz2"
+MD5SUM="20497c1a02394505f899ef0757ebefad"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
APPROVED="rworkman"
diff --git a/graphics/digikam/doinst.sh b/graphics/digikam/doinst.sh
index d361c7ea85..df69bdfae8 100644
--- a/graphics/digikam/doinst.sh
+++ b/graphics/digikam/doinst.sh
@@ -1,4 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q opt/kde/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications/kde
fi
-
diff --git a/graphics/digikam/slack-desc b/graphics/digikam/slack-desc
index 8029120b3a..6961e5a03f 100644
--- a/graphics/digikam/slack-desc
+++ b/graphics/digikam/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
digikam: digiKam (KDE Photo Management Application)
digikam:
digikam: digiKam is a simple digital photo management application for KDE,
-digikam: which makes importing and organizing digital photos a snap. The
+digikam: which makes importing and organizing digital photos a "snap". The
digikam: photos can be organized in albums which can be sorted chronologically,
-digikam: by directory layout, or by custom collections. An easy to use
-digikam: interface is provided that enables you to connect to your camera and
-digikam: preview, download and/or delete your images.
+digikam: by directory layout or by custom collections. An easy to use interface
+digikam: is provided that enables you to connect to your camera and preview,
+digikam: download and/or delete your images.
digikam:
digikam: Homepage: http://www.digikam.org/
digikam: